/*==================================================
  FORM CSS
==================================================*/

/*----------------------------------------
  基本
----------------------------------------*/

#form {}

#form *:focus {
  outline: none;
}

/*グローバルナビ hover*/
@media screen and (min-width:769px) {
  .g-nav-item:nth-of-type(5) .g-nav-item-btn {
    background-color: #001232;
  }
}


#contact .main-contents-wrapper {
  padding: 25px 0;
}

@media screen and (min-width:769px) {
  #contact .main-contents-wrapper {
    width: 1000px;
    margin: 0 auto;
    padding: 50px 0 100px;
  }
}

/*----------------------------------------
  フォームコンテンツ
----------------------------------------*/

/*========== イントロダクション ==========*/

#form .form-introduction-wrapper {
  margin-bottom: 30px;
  padding: 10px;
}

#form .contents-txt {
  margin-top:25px;
}

@media screen and (min-width:769px) {
  #form .contents-txt {
    text-align: center;
  }
  #form .form-introduction-text {
    text-align: center;
  }
}
#form .form-introduction-text .highlight {
  color: #a00064;
  font-weight: bold;
  text-decoration: underline;
}

.privacy-link {
  color: #a00064;
}

.privacy-link:hover {
  text-decoration: underline;
}

/*========== 個人情報の取扱について ==========*/

#form .form-privacy-wrapper {
  margin-top: 0;
  padding: 30px;
  background-color: #f0f0f0;
}

#form .form-privacy-title {
  margin-bottom: 15px;
  font-size: 1.8rem;
  font-weight: 600;
  text-align: center;
}

#form .form-privacy-text {
  text-align: left;
}

@media screen and (min-width:769px) {
  #form .form-privacy-wrapper {
    margin-top: 50px;
  }
  #form .form-privacy-text {
    text-align: center;
  }
}

/*========== エラーメッセージ ==========*/

#form .form-error-message-wrapper {
  margin-bottom: 30px;
}

#form .form-error-message {
  padding: 5px 10px;
  color: #a94442;
  border: 1px solid #ebccd1;
  border-radius: 3px;
  background-color: #f2dede;
}

#form .form-error-message:not(:last-of-type) {
  margin-bottom: 10px;
}

#form .form-error-message i {
  margin-right: 5px;
}

#form .form-error-message .highlight {
  font-weight: 600;
}


/*----------------------------------------
  フォーム
----------------------------------------*/

#form .form-wrapper {
  padding: 10px;
}

#form .form-list {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

#form .form-list:not(:last-of-type ) {
  border-bottom: 1px solid #ccc;
}

#form .form-item {
  display: flex;
  align-items: center;
  justify-content: flex-start;
  width: 100%;
  padding: 10px;
}

#form .form-item-alt {
  display: flex;
  align-items: center;
  flex-wrap: wrap;
  width: 100%;
  padding: 0 10px 10px;
}

@media screen and (min-width:769px) {
  #form .form-list:first-of-type {
    border-top: 1px solid #ccc;
  }
  #form .form-list:last-of-type {
    border-bottom: 1px solid #ccc;
  }
  #form .form-item {
    width: 35%;
    justify-content: flex-end;
    padding: 12.5px 25px;
  }
  #form .form-item-alt {
    width: 65%;
    padding: 12.5px 25px;
  }
}

/*========== ラベル ==========*/

#form .form-label {
  font-weight: 600;
}


/*========== 必須項目 ==========*/

#form .required-icon {
  display: inline-block;
  margin-left: 20px;
  padding: 5px 10px;
  color: #fff;
  font-size: 1.2rem;
  font-weight: 600;
  line-height: 1;
  text-shadow: rgba(0, 0, 0, .25) 0 1px 1px;
  border-radius: 3px;
  background-color: #e57373;
}


/*========== 任意項目 ==========*/

#form .optional-icon {
  display: inline-block;
  margin-left: 20px;
  padding: 5px 10px;
  color: #fff;
  font-size: 1.2rem;
  font-weight: 600;
  line-height: 1;
  text-shadow: rgba(0, 0, 0, .25) 0 1px 1px;
  border-radius: 3px;
  background-color: #ccc;
}


/*========== 入力例 ==========*/

#form .example-text {
  width: 100%;
  margin-top: 5px;
  color: #999;
  font-size: 1.2rem;
  line-height: 1;
}

#form .example-text::before {
  content: "入力例：";
  font-weight: 600;
}


/*----------------------------------------
  フォームエレメント
----------------------------------------*/

/*========== インプット ==========*/

#form .input-general {
  width: 100%;
  padding: 5px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

#form .input-general:focus {
  border: 1px solid #1d75ae;
}

#form .input-narrow {
  width: 50%;
}

@media screen and (min-width:769px) {
  #form .input-general {
    padding: 10px;
  }
}


/*========== ラジオボタン・チェックボックス ==========*/

#form input[type=radio],
#form input[type=checkbox] {
  display: none;
}

#form .input-radio,
#form .input-checkbox {
  position: relative;
  padding: 12.5px 15px 12.5px 40px;
  line-height: 1;
  border-radius: 3px;
  background-color: #f0f0f0;
  transition: all .3s;
  cursor: pointer;
}

#form .input-radio:not(:last-child),
#form .input-checkbox:not(:last-child) {
  margin-right: 30px;
}

#form .input-radio:hover,
#form .input-checkbox:hover {
  background-color: #e6e6e6;
}

#form .input-radio:hover::after,
#form .input-checkbox:hover::after {
  border-color: #003456;
}

#form .input-radio::after,
#form .input-checkbox::after {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: 15px;
  width: 15px;
  height: 15px;
  margin-top: -7.5px;
  border: 2px solid #ccc;
  border-radius: 3px;
  transition: all .3s;
}

#form .input-radio::before {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: 19px;
  width: 7px;
  height: 7px;
  margin-top: -3.5px;
  border-radius: 50%;
  background-color: #003456;
  transition: all .3s;
  opacity: 0;
  z-index: 10;
}

#form input[type=radio]:checked + .input-radio::before {
  opacity: 1;
}

#form .input-checkbox::before {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: 20px;
  width: 5px;
  height: 10px;
  margin-top: -5px;
  border-right: 3px solid #003456;
  border-bottom: 3px solid #003456;
  transition: all .3s;
  transform: rotate(45deg);
  opacity: 0;
  z-index: 10;
}

#form input[type=checkbox]:checked + .input-checkbox::before {
  opacity: 1;
}


/*========== テキストエリア ==========*/

#form .textarea-general {
  width: 100%;
  min-height: 150px;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 3px;
}

#form .textarea-general:focus {
  border: 1px solid #003456;
}


/*========== ボタン ==========*/

#form .button-wrapper {
  display: flex;
  justify-content: space-around;
  padding: 10px;
}

#form .submit-button {
  width: 100%;
  padding: 15px;
  margin-left: 25px;
  color: #fff;
  line-height: 1;
  border: 2px solid #003456;
  border-radius: 3px;
  background-color: #003456;
  transition: all .3s;
}

#form .submit-button:hover {
  color: #003456;
  background-color: #fff;
  transition: all .3s;
  cursor: pointer;
}

#form .return-button {
  width: 35%;
  padding: 15px;
  color: #003456;
  line-height: 1;
  border: 2px solid #003456;
  border-radius: 3px;
  transition: all .3s;
}

#form .return-button:hover {
  color: #fff;
  background-color: #003456;
  transition: all .3s;
  cursor: pointer;
}

#form .return-button-alt {
  width: 50%;
  padding: 15px;
  color: #003456;
  line-height: 1;
  border: 2px solid #003456;
  border-radius: 3px;
  transition: all .3s;
}

#form .return-button-alt:hover {
  color: #fff;
  background-color: #003456;
  transition: all .3s;
  cursor: pointer;
}

@media screen and (min-width:769px) {
  #form .button-wrapper {
    padding: 0 150px;
    margin-top: 30px;
    margin-bottom: 30px;
  }
  #form .submit-button {
    width: 50%;
  }
}
